/// <reference types="react" />
export declare const Wrapper: import("@emotion/styled/dist/declarations/src/types").StyledComponent<{
    theme?: import("@emotion/react").Theme | undefined;
    as?: import("react").ElementType<any, keyof import("react").JSX.IntrinsicElements> | undefined;
}, import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, {}>;
export declare const HiddenInput: import("@emotion/styled/dist/declarations/src/types").StyledComponent<{
    theme?: import("@emotion/react").Theme | undefined;
    as?: import("react").ElementType<any, keyof import("react").JSX.IntrinsicElements> | undefined;
}, import("react").DetailedHTMLProps<import("react").InputHTMLAttributes<HTMLInputElement>, HTMLInputElement>, {}>;
export declare const StyledCounter: import("@emotion/styled/dist/declarations/src/types").StyledComponent<Omit<import("..").WithoutEmotionSpecific<import("@mui/material/Badge").BadgeProps>, "content" | "color" | "children" | "variant" | "invisible" | "anchorOrigin" | "badgeContent" | "overlap" | "withBorder"> & {
    color: import("../Counter/types").CounterColor;
    variant?: import("../Counter/types").CounterVariants | undefined;
    content?: number | undefined;
    withBorder?: boolean | undefined;
} & {
    theme?: import("@emotion/react").Theme | undefined;
}, {}, {}>;
export declare const AdornmentWrapper: import("@emotion/styled/dist/declarations/src/types").StyledComponent<import("../Typography/types").TypographyPropsBase & {
    color?: import("../Typography").TypographyColor | undefined;
    variant?: import("../Typography").TypographyVariant | undefined;
    colorIntensity?: import("../Typography").Intensity | undefined;
    component?: import("../Typography/types").ComponentProp | undefined;
    isUpperCase?: boolean | undefined;
    withoutCalt?: boolean | undefined;
} & import("react").HTMLAttributes<HTMLParagraphElement> & import("react").RefAttributes<HTMLSpanElement> & {
    theme?: import("@emotion/react").Theme | undefined;
}, {}, {}>;
export declare const Label: import("@emotion/styled/dist/declarations/src/types").StyledComponent<{
    theme?: import("@emotion/react").Theme | undefined;
    as?: import("react").ElementType<any, keyof import("react").JSX.IntrinsicElements> | undefined;
}, import("react").DetailedHTMLProps<import("react").LabelHTMLAttributes<HTMLLabelElement>, HTMLLabelElement>, {}>;
